Bug 145438 - update to net-mgmt/rackmonkey
Summary: update to net-mgmt/rackmonkey
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-06 20:30 UTC by ecrist
Modified: 2010-04-14 23:20 UTC (History)
0 users

See Also:


Attachments
rm.diff (1.68 KB, patch)
2010-04-06 20:30 UTC, ecrist
no flags Details | Diff
rm.diff (1.69 KB, patch)
2010-04-13 03:22 UTC, ecrist
no flags Details | Diff
file.dat (19 bytes, text/plain; charset=us-ascii)
2010-04-13 03:22 UTC, ecrist
no flags Details
rm.diff (2.58 KB, patch)
2010-04-13 13:24 UTC, ecrist
no flags Details | Diff
file.dat (19 bytes, text/plain; charset=us-ascii)
2010-04-13 13:24 UTC, ecrist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ecrist 2010-04-06 20:30:02 UTC
	Adds a working Alias line to recommended apache config in pkg-message.in, adds two file servers.
Comment 1 Sahil Tandon 2010-04-10 00:46:43 UTC
Are you sure you want %%WWWDIR%%/www/rackmonkey?  Recall that WWWDIR
defaults to ${PREFIX}/www/${PORTNAME}.

-- 
Sahil Tandon <sahil@tandon.net>
Comment 2 Sahil Tandon freebsd_committer 2010-04-12 02:58:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 3 Sahil Tandon freebsd_committer 2010-04-13 01:00:04 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 4 ecrist 2010-04-13 03:22:04 UTC
The attached diff supersedes the original patch and resolves the %%WWWDIR%% issue, as well as another issue involving a forbidden directory in my apache example config.
Comment 5 Sahil Tandon freebsd_committer 2010-04-13 05:45:56 UTC
Fails with non-default LOCALBASE; please don't hardcore 'usr/local' in
Makefile; use the ${LOCALBASE} or ${PREFIX} macros as appropriate.  See
install failure log:

http://people.freebsd.org/~sahil/logs/rackmonkey-1.2.5_3.log

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 6 ecrist 2010-04-13 13:24:50 UTC
Attached is a corrected patch.
Comment 7 Sahil Tandon freebsd_committer 2010-04-14 04:59:52 UTC
State Changed
From-To: feedback->open

Maintainer has submitted new patch.
Comment 8 dfilter service freebsd_committer 2010-04-14 23:11:54 UTC
sahil       2010-04-14 22:11:45 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/rackmonkey  Makefile 
    net-mgmt/rackmonkey/files pkg-message.in 
  Log:
  - Define additional MASTER_SITES
  - Fix install in case of non-default ${LOCALBASE}
  - Fix whitespace/alignment in Makefile header
  - Tweak pkg-message
  
  PR:             145438
  Submitted by:   Eric F Crist (maintainer)
  Approved by:    itetcu (mentor)
  
  Revision  Changes    Path
  1.4       +8 -6      ports/net-mgmt/rackmonkey/Makefile
  1.2       +4 -1      ports/net-mgmt/rackmonkey/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Sahil Tandon freebsd_committer 2010-04-14 23:20:37 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!